Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1759109 - Branch request: python-aiohttp for epel8
Summary: Branch request: python-aiohttp for epel8
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-aiohttp
Version: epel8
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1815850 1836150 (view as bug list)
Depends On: 1748765 1815844 1815853 1815854 1815856
Blocks: 1761099 1815700
TreeView+ depends on / blocked
 
Reported: 2019-10-07 12:37 UTC by Martin Kutlak
Modified: 2020-06-16 01:51 UTC (History)
6 users (show)

Fixed In Version: python-aiohttp-3.6.2-3.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-06-16 01:51:17 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Martin Kutlak 2019-10-07 12:37:55 UTC
Greetings,

Can we please have python3-aiohttp built for EPEL-8?

Comment 1 Fabian Affolter 2019-10-08 09:56:35 UTC
Sure, please provide a pull request with the required changes to the spec file for a EPEL8 build at https://src.fedoraproject.org/rpms/python-aiohttp.

Comment 2 Martin Kutlak 2019-10-09 11:27:10 UTC
I've tried to create a build of python-aiohttp in COPR [0] for epel-8 but there is one missing dependency - http-parser-devel.

So for now the EPEL-8 is blocked by [1], [2]

[0] - https://copr-be.cloud.fedoraproject.org/results/mkutlak/a-el8/epel-8-x86_64/01051365-python-aiohttp/builder-live.log.gz
[1] - bug 1748765
[2] - https://bugs.centos.org/view.php?id=16302

Comment 3 Fabian Affolter 2020-03-22 15:05:48 UTC
*** Bug 1815850 has been marked as a duplicate of this bug. ***

Comment 4 Fedora Update System 2020-04-08 05:37:57 UTC
FEDORA-EPEL-2020-df90ad332e has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-df90ad332e

Comment 5 Carl George 🤠 2020-04-08 05:44:27 UTC
I was able to resolve this because http-parser-devel is now available via the CentOS Devel repo (with the exception of s390x).

https://lists.fedoraproject.org/archives/list/epel-devel@lists.fedoraproject.org/thread/O4JISZYIVXXPIB6OZIE2TNKR2EIQZWBL/
https://src.fedoraproject.org/rpms/python-aiohttp/c/67855c61bee706fcd99305d1715aad02d898cbfc?branch=master

In addition to the above update, I submitted an override so it's available for other packages to build require now.

Comment 6 Fedora Update System 2020-04-09 20:53:52 UTC
FEDORA-EPEL-2020-df90ad332e has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-df90ad332e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fabian Affolter 2020-04-10 08:44:41 UTC
I (as the python-aiohttp maintainer) removed "Auto-request stable based on time?" from that update. This means that it's only going to stable if there is enough karma.

Comment 8 Fabian Affolter 2020-04-10 21:04:56 UTC
According to my list are there still a couple of missing dependencies. I wonder how this should work or it was not tested before the update for EPEL8 was submitted.

Comment 9 Carl George 🤠 2020-04-11 11:43:03 UTC
I'm terrible sorry about that.  When I was reviewing the spec file I didn't see any runtime requirements, and I completely forgot about the automatic ones.  I was rushing because I have another package that build requires this one, but I haven't tried to build it yet because of another build requirement.  I would have noticed the issue once I tried to build, but who knows how long that could have taken.  Thanks for catching my mistake.

Here are the missing requirements for posterity.

  - nothing provides python3.6dist(async-timeout) >= 3.0 needed by python3-aiohttp-3.6.2-3.el8.x86_64
  - nothing provides python3.6dist(async-timeout) < 4.0 needed by python3-aiohttp-3.6.2-3.el8.x86_64
  - nothing provides python3.6dist(idna-ssl) >= 1.0 needed by python3-aiohttp-3.6.2-3.el8.x86_64
  - nothing provides python3.6dist(typing-extensions) >= 3.6.5 needed by python3-aiohttp-3.6.2-3.el8.x86_64

The python-sig group doesn't have access to any of those, so I'm not currently able to help with them.  If you add me or the SIG let me know, and I'll assist where I can.  I have expired the buildroot override so it doesn't interfere with anything.  I can unpush the update as well if you like, or we can just leave it and not push it to stable until the dependencies are ready.

Comment 10 clime7 2020-04-26 19:53:15 UTC
typing-extensions should be in epel8 now.

Comment 11 Fabian Affolter 2020-06-02 12:55:32 UTC
*** Bug 1836150 has been marked as a duplicate of this bug. ***

Comment 12 Fedora Update System 2020-06-16 01:51:17 UTC
python-aiohttp-3.6.2-3.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.